"use strict";

var __createBinding = this && this.__createBinding || (Object.create ? function (o, m, k, k2) {
  if (k2 === undefined) k2 = k;
  Object.defineProperty(o, k2, {
    enumerable: true,
    get: function () {
      return m[k];
    }
  });
} : function (o, m, k, k2) {
  if (k2 === undefined) k2 = k;
  o[k2] = m[k];
});
var __exportStar = this && this.__exportStar || function (m, exports) {
  for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dynamicRequire = exports.importDefault = exports.resolve = exports.logging = exports.useDefaultConfig = exports.useConfig = exports.loadCustomConfigFiles = exports.config = void 0;
/**
 * @see https://www.yuque.com/docs/share/298f4883-d145-49fd-bef1-88cc30b23c2b?#《脚手架api》
 */
var config_1 = require("./config");
Object.defineProperty(exports, "config", {
  enumerable: true,
  get: function () {
    return __importDefault(config_1).default;
  }
});
Object.defineProperty(exports, "loadCustomConfigFiles", {
  enumerable: true,
  get: function () {
    return config_1.loadCustomConfigFiles;
  }
});
Object.defineProperty(exports, "useConfig", {
  enumerable: true,
  get: function () {
    return config_1.useConfig;
  }
});
Object.defineProperty(exports, "useDefaultConfig", {
  enumerable: true,
  get: function () {
    return config_1.useDefaultConfig;
  }
});
var logging_1 = require("./utils/logging");
Object.defineProperty(exports, "logging", {
  enumerable: true,
  get: function () {
    return __importDefault(logging_1).default;
  }
});
var resolve_1 = require("./utils/resolve");
Object.defineProperty(exports, "resolve", {
  enumerable: true,
  get: function () {
    return __importDefault(resolve_1).default;
  }
});
var importDefault_1 = require("./utils/importDefault");
Object.defineProperty(exports, "importDefault", {
  enumerable: true,
  get: function () {
    return __importDefault(importDefault_1).default;
  }
});
var dynamicRequire_1 = require("./utils/dynamicRequire");
Object.defineProperty(exports, "dynamicRequire", {
  enumerable: true,
  get: function () {
    return __importDefault(dynamicRequire_1).default;
  }
});
// types
__exportStar(require("./types"), exports);