/**
 * 解析构建配置选项`outputDir`, 检查tsconfig `outDir`是否和mini.project.json `miniprogramRoot`或者`pluginRoot`一致,
 * 如果两者同时存在则和其父目录进行对比。
 *
 * @param projectRoot 项目根目录，默认`process.cwd()`.
 * @returns 返回`miniprogramRoot`或者`pluginRoot`, 如果两者都存在返回其父目录,
 * 如果都不存在则默认`dist`, 相对于项目根目录解析为绝对路径目录格式, 不包含目录尾部斜线。
 */
declare function resolveOutputDir(projectRoot?: string): string;
export default resolveOutputDir;
