import type { MiniProject } from '../types';
/**
 * 解析小程序项目配置`mini.project.json`为JSON对象.
 *
 * @param miniProjectPath `mini.project.json`路径或者`projectRoot`项目根目录,
 * 如果为目录继续在目录中查找`mini.project.json`, 默认`process.cwd()`.
 * @returns
 */
declare function getMiniProject(miniProjectPath?: string): MiniProject | undefined;
export default getMiniProject;
