"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * ts `__importDefault` function.
 *
 * @template M Type of module.
 * @param mod origin module.
 * @returns default module format `{ default: mod }`.
 *
 * ```ts
 * var __importDefault = (this && this.__importDefault) || function (mod) {
 *   return (mod && mod.__esModule) ? mod : { "default": mod };
 * };
 * ```
 */
function importDefault(mod) {
  // error  Unexpected dangling '_' in '__esModule'
  // eslint-disable-next-line no-underscore-dangle
  const defaultMod = mod && mod.__esModule ? mod : {
    default: mod
  };
  return defaultMod;
}
exports.default = importDefault;